cancel
Showing results for 
Search instead for 
Did you mean: 

Autoload Error Module 'WeltPixel_OwlCarouselSlider' has been already defined

Highlighted

Autoload Error Module 'WeltPixel_OwlCarouselSlider' has been already defined

I have installed Magento 2.3.1 on A2 VPS hosting and running the Porto theme. Php version is 7.1.30 (cli) (built: Jun 3 2019 21:06:56).

 

I didn't realise that the theme had the Owl Carousel Slider installed already so I downloaded the version from Market place. 

 

After installing a module through the Extension Manager I get the following error message for both front end and back end pages.

Autoload error

Module 'WeltPixel_OwlCarouselSlider' from '/home/fsadmin/public_html/vendor/weltpixel/m2-weltpixel-owl-carousel-slider-theme' has been already defined in '/home/fsadmin/public_html/vendor/weltpixel/m2-weltpixel-owl-carousel-slider-theme-free'.

 

The Extension Manager did determine there was an error in the install

 

Error in Update! 
Please refer to documentation Doc link to perform manual rollback.

To attempt automatic rollback, please click the "Rollback" button.

(See console log below)

 

The Automatic rollback didnt work and I can't get the manual rollback to work either. The files are where you would expect but running

php bin/magento info:backups:list

Comes up empty, the only response is

Autoload error: Module 'WeltPixel_OwlCarouselSlider' from '/home/fsadmin/public_html/vendor/weltpixel/m2-weltpixel-owl-carousel-slider-theme' has been already defined in '/home/fsadmin/public_html/vendor/weltpixel/m2-weltpixel-owl-carousel-slider-theme-free'.

 

Now I can't access the Magento Dashboard.

 

And can't work out how to remove the second version of the slider

 

I contacted WeltPixel and they said the following

 

Try disabling the module first, and then running a setup:upgrade command. Afterwards, try removing it via composer again with the composer removecommand, as instructed in this article: https://support.weltpixel.com/hc/en-us/articles/115006483588-How-to-uninstall-and-remove-a-Magento-2...

If you're still experiencing issues after trying this, I would recommend consulting the official Magento documentation and forums for a solution. Please also note that, currently, our modules do not support composer installation, and the supported installation methods are via manual SSH installation and the GUI install (PRO version only). 

 

When I check the modules using the command suggested 

  • php bin/magento module:status

The only response I get is

Autoload error: Module 'WeltPixel_OwlCarouselSlider' from '/home/fsadmin/public_html/vendor/weltpixel/m2-weltpixel-owl-carousel-slider-theme' has been already defined in '/home/fsadmin/public_html/vendor/weltpixel/m2-weltpixel-owl-carousel-slider-theme-free'.

Composer runs fine, but none of the magento commands seem to work.

 

I've dug deep looking for a solution for this but have come up empty. Would appreciate some help. 

 

 

Spoiler
Console Log

[2019-06-20 07:01:10 UTC] Job "setup:maintenance:enable []" has started
Enabled maintenance mode

[2019-06-20 07:01:10 UTC] Job "setup:maintenance:enable []" has been successfully completed
[2019-06-20 07:01:10 UTC] Job "setup:cache:disable []" has started
There is nothing to change in cache status

[2019-06-20 07:01:10 UTC] Job "setup:cache:disable []" has been successfully completed
[2019-06-20 08:01:02 UTC] Job "update {"components":{"weltpixel/m2-weltpixel-backend":{"name":"weltpixel/m2-weltpixel-backend","version":"1.8.5"},"weltpixel/m2-weltpixel-owl-carousel-slider":{"name":"weltpixel/m2-weltpixel-owl-carousel-slider","version":"1.5.8"},"weltpixel/m2-weltpixel-owl-carousel-slider-theme":{"name":"weltpixel/m2-weltpixel-owl-carousel-slider-theme","version":"1.7.6"},"weltpixel/m2-weltpixel-owl-carousel-slider-theme-free":{"name":"weltpixel/m2-weltpixel-owl-carousel-slider-theme-free","version":"1.8.5"}}}" has been started
[2019-06-20 08:01:02 UTC] Starting composer update...
[2019-06-20 08:01:10 UTC] ./composer.json has been updated

[2019-06-20 08:02:43 UTC] Loading composer repositories with package information
Updating dependencies (including require-dev)
Package operations: 4 installs, 6 updates, 0 removals
- Updating phpspec/prophecy (1.8.0 => 1.8.1): Downloading (connecting...)Downloading (0%)Downloading (10%)Downloading (20%)Downloading (30%)Downloading (35%)Downloading (40%)Downloading (45%)Downloading (50%)Downloading (55%)Downloading (65%)Downloading (75%)Downloading (85%)Downloading (95%)Downloading (100%)
- Updating theseer/tokenizer (1.1.2 => 1.1.3): Downloading (connecting...)Downloading (0%) Downloading (15%)Downloading (30%)Downloading (100%)
- Updating symfony/service-contracts (v1.1.2 => v1.1.5): Downloading (connecting...)Downloading (0%) Downloading (85%)Downloading (100%)
- Updating phpseclib/phpseclib (2.0.17 => 2.0.19): Downloading (connecting...)Downloading (0%) Downloading (5%)Downloading (10%)Downloading (15%)Downloading (20%)Downloading (25%)Downloading (30%)Downloading (35%)Downloading (40%)Downloading (45%)Downloading (50%)Downloading (55%)Downloading (60%)Downloading (65%)Downloading (70%)Downloading (75%)Downloading (80%)Downloading (85%)Downloading (90%)Downloading (95%)Downloading (100%)
- Updating tedivm/jshrink (v1.3.1 => v1.3.2): Downloading (connecting...)Downloading (0%) Downloading (70%)Downloading (100%)
- Updating facebook/webdriver (1.7.0 => 1.7.1): Downloading (connecting...)Downloading (0%) Downloading (5%)Downloading (10%)Downloading (15%)Downloading (20%)Downloading (25%)Downloading (30%)Downloading (35%)Downloading (40%)Downloading (45%)Downloading (50%)Downloading (55%)Downloading (60%)Downloading (65%)Downloading (70%)Downloading (75%)Downloading (80%)Downloading (85%)Downloading (90%)Downloading (95%)Downloading (100%)
- Installing weltpixel/m2-weltpixel-backend (1.8.5): Downloading (connecting...)Downloading (0%) Downloading (60%)Downloading (100%)
- Installing weltpixel/m2-weltpixel-owl-carousel-slider-theme-free (1.8.5): Downloading (connecting...)Downloading (0%) Downloading (25%)Downloading (55%)Downloading (85%)Downloading (100%)
- Installing weltpixel/m2-weltpixel-owl-carousel-slider-theme (1.7.6): Downloading (connecting...)Downloading (0%) Downloading (30%)Downloading (60%)Downloading (90%)Downloading (100%)
Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/guzzle instead.
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
Writing lock file
Generating autoload files

[2019-06-20 08:02:43 UTC] Composer update completed successfully
[2019-06-20 08:02:43 UTC] Job "update {"components":{"weltpixel/m2-weltpixel-backend":{"name":"weltpixel/m2-weltpixel-backend","version":"1.8.5"},"weltpixel/m2-weltpixel-owl-carousel-slider":{"name":"weltpixel/m2-weltpixel-owl-carousel-slider","version":"1.5.8"},"weltpixel/m2-weltpixel-owl-carousel-slider-theme":{"name":"weltpixel/m2-weltpixel-owl-carousel-slider-theme","version":"1.7.6"},"weltpixel/m2-weltpixel-owl-carousel-slider-theme-free":{"name":"weltpixel/m2-weltpixel-owl-carousel-slider-theme-free","version":"1.8.5"}}}" has successfully completed

 

 

2 REPLIES 2
Highlighted

Re: Autoload Error Module 'WeltPixel_OwlCarouselSlider' has been already defined

Hello,

I am having a similar issue but mine occurred when installing Weltpixel Google Tag Manager.  

When I check the modules using the command suggested 

  • php bin/magento module:status

The only response I get is:

Autoload error

Module 'WeltPixel_Backend' from '/chroot/home/a0e7bc0c/3333/app/code/WeltPixel/Backend' has been already defined in '/chroot/home/a0e7bc0c/3333/vendor/weltpixel/m2-weltpixel-backend'.

Any help is appreciated!

Highlighted

Re: Autoload Error Module 'WeltPixel_OwlCarouselSlider' has been already defined

Sorry, I couldn't wait for a response so reinstalled from scratch.